Skip to main content
POST
/
v2
/
payment-sessions
/
{paymentSessionId}
/
captures
Capture a payment session
curl --request POST \
  --url https://api.cdp.coinbase.com/platform/v2/payment-sessions/{paymentSessionId}/captures \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "1.00",
  "metadata": {
    "customer_id": "cust_12345",
    "order_id": "order_67890"
  }
}
'
{
  "captureId": "capture_82c879c1-84e1-44ed-a8c2-1ac239cf09ad",
  "paymentSessionId": "paymentSession_82c879c1-84e1-44ed-a8c2-1ac239cf09ad",
  "status": "pending",
  "amount": "1.00",
  "metadata": {
    "customer_id": "cust_12345",
    "order_id": "order_67890"
  },
  "createdAt": "2025-06-15T12:20:00.000Z",
  "updatedAt": "2025-06-15T12:20:00.000Z"
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Headers

X-Idempotency-Key
string

An optional string request header for making requests safely retryable. When included, duplicate requests with the same key will return identical responses. Refer to our Idempotency docs for more information on using idempotency keys.

Required string length: 1 - 128

Path Parameters

paymentSessionId
string
required

The unique identifier of the payment session. The ID of the payment session, a UUID prefixed by paymentSession_.

Pattern: ^paymentSession_[a-f0-9\-]{36}$
Example:

"paymentSession_82c879c1-84e1-44ed-a8c2-1ac239cf09ad"

Body

application/json

A request to create a capture for a payment session.

amount
string

A decimal representation of the amount to capture, denominated in the session's asset. If omitted, the full remaining capturable amount is captured.

Example:

"1.00"

metadata
object

Optional metadata as key-value pairs. Use this to store additional structured information on a resource, such as customer IDs, order references, or any application-specific data. Up to 10 key/value pairs may be provided. Keys and values are both strings. Keys must be ≤ 40 characters; values must be ≤ 500 characters.

Example:
{
"customer_id": "cust_12345",
"order_reference": "order-67890"
}

Response

Successfully created capture.

A collection of authorized funds. Multiple partial captures are allowed up to the authorized amount. Each capture settles funds to the merchant's target.

captureId
string

The unique identifier of the capture.

Pattern: ^capture_[a-f0-9\-]{36}$
Example:

"capture_82c879c1-84e1-44ed-a8c2-1ac239cf09ad"

paymentSessionId
string

The ID of the payment session this capture belongs to.

Pattern: ^paymentSession_[a-f0-9\-]{36}$
Example:

"paymentSession_82c879c1-84e1-44ed-a8c2-1ac239cf09ad"

status
enum<string>

The current status of the capture.

Available options:
pending,
succeeded,
failed
Example:

"pending"

amount
string

A decimal representation of the captured amount, denominated in the session's asset.

Example:

"1.00"

error
object

An error that occurred during a payment operation.

Example:
{
"code": "insufficient_funds",
"message": "The payer does not have sufficient funds.",
"occurredAt": "2025-06-15T12:00:00.000Z"
}
metadata
object

Optional metadata as key-value pairs. Use this to store additional structured information on a resource, such as customer IDs, order references, or any application-specific data. Up to 10 key/value pairs may be provided. Keys and values are both strings. Keys must be ≤ 40 characters; values must be ≤ 500 characters.

Example:
{
"customer_id": "cust_12345",
"order_reference": "order-67890"
}
onchainTransactions
object[]

The onchain transactions associated with this capture.

Example:
[
{
"transactionHash": "0xdef456abc789012345678901234567890abcdef1234567890abcdef12345678",
"network": "base"
}
]
createdAt
string<date-time>

The UTC ISO 8601 timestamp at which the capture was created.

Example:

"2025-06-15T12:20:00.000Z"

updatedAt
string<date-time>

The UTC ISO 8601 timestamp at which the capture was last updated.

Example:

"2025-06-15T12:21:00.000Z"